Create a follow-up sequence
curl --request POST \
--url https://api.example.com/v1/sequences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"name": "Relance nouveaux contacts",
"steps": [
{
"delayMinutes": 1,
"text": "<string>",
"buttonLabel": "<string>",
"buttonUrl": "<string>"
}
],
"trigger": "conversation_started",
"automationId": "<string>",
"keywords": [
"beta"
],
"matchType": "contains",
"stopOnReply": true
}
'import requests
url = "https://api.example.com/v1/sequences"
payload = {
"accountId": "<string>",
"name": "Relance nouveaux contacts",
"steps": [
{
"delayMinutes": 1,
"text": "<string>",
"buttonLabel": "<string>",
"buttonUrl": "<string>"
}
],
"trigger": "conversation_started",
"automationId": "<string>",
"keywords": ["beta"],
"matchType": "contains",
"stopOnReply": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
name: 'Relance nouveaux contacts',
steps: [
{
delayMinutes: 1,
text: '<string>',
buttonLabel: '<string>',
buttonUrl: '<string>'
}
],
trigger: 'conversation_started',
automationId: '<string>',
keywords: ['beta'],
matchType: 'contains',
stopOnReply: true
})
};
fetch('https://api.example.com/v1/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
campaigns
Create a follow-up sequence
POST
/
v1
/
sequences
Create a follow-up sequence
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"Relance nouveaux contacts"
Show child attributes
Show child attributes
story_reply enrols the contact when they reply to one of the account stories — the story lead magnet ("reply BETA and I send you the link"). Narrow it with keywords.
Available options:
conversation_started, comment_automation, story_reply, manual Comment-to-DM automation that enrols people, when trigger is comment_automation.
Keywords that filter entry, when trigger is story_reply. Empty means every story reply enrols. Case- and accent-insensitive.
Example:
["beta"]
How keywords are matched against the reply.
Available options:
contains, exact, any Stop the follow-ups as soon as the contact replies.
Response
201 - undefined